"""
Patches for StagingAddOn

$Id: patches.py 26349 2006-07-22 21:59:08Z dbaty $
"""

## I would prefer monkey-patching OFS.SimpleItem, but Archetypes'
## BaseObject does not call its super class...
from Products.Archetypes.BaseObject import BaseObject

def manage_afterClone(self, item):
    """
    When an item is copy and pasted, we have to make sure that it does
    not contain any staging informations

    See http://plone.org/products/stagingaddon/issues/7
    """
    if getattr(item, 'aq_base', None):
        item = item.aq_base
    for attr in ('_version', '_versions', '_new_version', '_is_a_version_of'):
        if getattr(item, attr, None):
            delattr(item, attr)

    self.orig_manage_afterClone(item)


BaseObject.orig_manage_afterClone = BaseObject.manage_afterClone
BaseObject.manage_afterClone = manage_afterClone
