"""
Tests for StagingAddOn installation

$Id: testInstallation.py 25570 2006-06-30 09:28:38Z dbaty $
"""

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Products.StagingAddOn.tests.utils import StagingAddOnTestCase

from Products.CMFCore.utils import getToolByName
from Products.StagingAddOn.content.staging_tool import ID, META_TYPE

class TestInstallation(StagingAddOnTestCase):
    """Make sure that the product is properly installed"""

    def afterSetUp(self):
        pass


    def testToolIsThere(self):
        portal = self.portal
        self.failUnless(ID in portal.objectIds())


    def testToolAndConfigurationAreNotIndexed(self):
        portal = self.portal
        ctool = getToolByName(portal, 'portal_catalog')
        stool = getToolByName(portal, ID)
        workflow_id = 'plone_workflow'
        self.createTestUsersAndContent()

        self.login('manager')
        stool.installStagingFor(workflow_id=workflow_id)
        results = ctool.searchResults(id=ID)
        self.failUnless(len(results) == 0)
        results = ctool.searchResults(id=workflow_id)
        self.failUnless(len(results) == 0)


if  __name__ == '__main__':
    framework()

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestInstallation))
    return suite
